/*
 * Klogwatch, Netfilter log monitor
 *
 * Copyright (C) 2004 Nick Battle <nick.battle@freeuk.com>
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 */

#ifndef KLOGUDP_H
#define KLOGUDP_H

#include "klogIP.h"

class KLogUDP : public KLogIP
{
public:
    KLogUDP(const KLogLine *line);
    virtual ~KLogUDP();

    virtual QString getSrcPort(void) const;
    virtual QString getDstPort(void) const;
    virtual int getDstPortNum(void) const;

    virtual QString toString(bool) const;

private:
    int		srcPort;
    int		dstPort;
};

#endif
